## START: Set by rpmautospec
## (rpmautospec version 0.7.3)
## RPMAUTOSPEC: autorelease, autochangelog
%define autorelease(e:s:pb:n) %{?-p:0.}%{lua:
    release_number = 2;
    base_release_number = tonumber(rpm.expand("%{?-b*}%{!?-b:1}"));
    print(release_number + base_release_number - 1);
}%{?-e:.%{-e*}}%{?-s:.%{-s*}}%{!?-n:%{?dist}}
## END: Set by rpmautospec

%global srcname tmuxp

Name:           python-%{srcname}
Version:        1.49.0
Release:        %autorelease
Summary:        Tmux session manager

# This is the proper SPDX license
License:        MIT
URL:            https://tmuxp.git-pull.com/
Source:         %{pypi_source}

BuildArch:      noarch

%global _description %{expand:
Session manager for tmux, which allows users to save and load tmux sessions
through simple configuration files.}

%description %_description

%package -n python3-%{srcname}
Summary:	%{summary}
BuildRequires:  python3-devel

%description -n python3-%{srcname} %_description


%prep
%autosetup -n %{srcname}-%{version}


%generate_buildrequires
%pyproject_buildrequires


%build
%pyproject_wheel


%install
%pyproject_install
%pyproject_save_files tmuxp


%check
%pyproject_check_import


%files -n python3-%{srcname} -f %{pyproject_files}
%doc README.md CHANGES examples
%{_bindir}/tmuxp


%changelog
## START: Generated by rpmautospec
* Tue Dec 10 2024 Michel Lind <salimma@fedoraproject.org> - 1.49.0-2
- Drop duplicate license

* Mon Dec 09 2024 Michel Lind <salimma@fedoraproject.org> - 1.49.0-1
- Update to version 1.49.0
- Enable import checks
- Fixes: rhbz#2328934, rhbz#2329619

* Tue Aug 27 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.47.0-2
- Unretirement Releng Request: https://pagure.io/releng/issue/12287

* Tue Jul 23 2024 Igor Raits <igor.raits@gmail.com> - 1.47.0-1
- Update to 1.47.0

* Fri Jul 19 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.29.1-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_41_Mass_Rebuild

* Fri Jan 26 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.29.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Mon Jan 22 2024 Fedora Release Engineering <releng@fedoraproject.org> - 1.29.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_40_Mass_Rebuild

* Sun Sep 03 2023 Igor Raits <igor.raits@gmail.com> - 1.29.1-1
- Update to 1.29.1

* Fri Jul 21 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.27.0-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_39_Mass_Rebuild

* Thu Jun 15 2023 Python Maint <python-maint@redhat.com> - 1.27.0-2
- Rebuilt for Python 3.12

* Sun Feb 26 2023 Orion Poplawski <orion@nwra.com> - 1.27.0-1
- Update to 1.27.0

* Sat Jan 21 2023 Orion Poplawski <orion@nwra.com> - 1.25.0-1
- Update to 1.25.0; Confirm SPDX license

* Fri Jan 20 2023 Fedora Release Engineering <releng@fedoraproject.org> - 1.18.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_38_Mass_Rebuild

* Mon Oct 31 2022 Igor Raits <igor.raits@gmail.com> - 1.18.1-1
- Update to 1.18.1

* Fri Jul 22 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.10.1-3
- Rebuilt for https://fedoraproject.org/wiki/Fedora_37_Mass_Rebuild

* Tue Jun 14 2022 Python Maint <python-maint@redhat.com> - 1.10.1-2
- Rebuilt for Python 3.11

* Thu Apr 21 2022 Charalampos Stratakis <cstratak@redhat.com> - 1.10.1-1
- Update to 1.10.1

* Fri Jan 21 2022 Fedora Release Engineering <releng@fedoraproject.org> - 1.9.2-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_36_Mass_Rebuild

* Sun Aug 08 2021 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.9.2-1
- Update to 1.9.2

* Fri Jul 23 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-4
- Rebuilt for https://fedoraproject.org/wiki/Fedora_35_Mass_Rebuild

* Fri Jun 04 2021 Python Maint <python-maint@redhat.com> - 1.5.5-3
- Rebuilt for Python 3.10

* Wed Jan 27 2021 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.5-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_34_Mass_Rebuild

* Mon Aug 24 2020 Igor Raits <ignatenkobrain@fedoraproject.org> - 1.5.5-1
- Update to 1.5.5

* Wed Jul 29 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-7
- Rebuilt for https://fedoraproject.org/wiki/Fedora_33_Mass_Rebuild

* Tue May 26 2020 Miro Hrončok <miro@hroncok.cz> - 1.5.1-6
- Rebuilt for Python 3.9

* Thu Jan 30 2020 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-5
- Rebuilt for https://fedoraproject.org/wiki/Fedora_32_Mass_Rebuild

* Thu Oct 03 2019 Miro Hrončok <miro@hroncok.cz> - 1.5.1-4
- Rebuilt for Python 3.8.0rc1 (#1748018)

* Mon Aug 19 2019 Miro Hrončok <miro@hroncok.cz> - 1.5.1-3
- Rebuilt for Python 3.8

* Fri Jul 26 2019 Fedora Release Engineering <releng@fedoraproject.org> - 1.5.1-2
- Rebuilt for https://fedoraproject.org/wiki/Fedora_31_Mass_Rebuild

* Sat May 11 2019 Igor Gnatenko <ignatenkobrain@fedoraproject.org> - 1.5.1-1
- Initial import
## END: Generated by rpmautospec
